Bug 195277 - games/fgrun: fails checksum - so unbuildable
Summary: games/fgrun: fails checksum - so unbuildable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-22 07:02 UTC by John Marino
Modified: 2014-12-05 11:26 UTC (History)
2 users (show)

See Also:
marino: maintainer-feedback? (buganini)


Attachments
update distinfo (797 bytes, text/plain)
2014-11-29 19:14 UTC, buganini
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino freebsd_committer 2014-11-22 07:02:48 UTC
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by fgrun-3.2.0 for building
=> SHA256 Checksum mismatch for fgrun-3.2.0.tar.gz.
===>  Refetch for 1 more times files: fgrun-3.2.0.tar.gz 
===>  License GPLv2 accepted by the user
=> fgrun-3.2.0.tar.gz doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch https://gitorious.org/fg/fgrun/archive/00580a1c6b64b46fe430b0f1c0caafb4f63448fb.tar.gz?dummy=fgrun-3.2.0.tar.gz
/portdistfiles/fgrun-3.2.0.tar.gz                      189 kB    0  Bps
===> Fetching all distfiles required by fgrun-3.2.0 for building
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by fgrun-3.2.0 for building
=> SHA256 Checksum mismatch for fgrun-3.2.0.tar.gz.
===>  Giving up on fetching files: fgrun-3.2.0.tar.gz 
Make sure the Makefile and distinfo file (/usr/ports/games/fgrun/distinfo)
are up to date.  If you are absolutely sure you want to override this
check, type "make NO_CHECKSUM=yes [other args]".
*** Error code 1
Comment 1 Bugzilla Automation freebsd_committer 2014-11-22 07:02:48 UTC
Maintainer CC'd
Comment 2 commit-hook freebsd_committer 2014-11-28 17:57:09 UTC
A commit references this bug:

Author: marino
Date: Fri Nov 28 17:56:59 UTC 2014
New revision: 373571
URL: https://svnweb.freebsd.org/changeset/ports/373571

Log:
  games/fgrun: Mark BROKEN due to checksum mismatch (unfetchable)

  PR:	195277

Changes:
  head/games/fgrun/Makefile
Comment 3 buganini 2014-11-29 19:14:28 UTC
Created attachment 149992 [details]
update distinfo
Comment 4 Ganael LAPLANCHE freebsd_committer 2014-12-01 07:38:30 UTC
Hi Buganini,

Thanks for your patch but it seems that the checksum changed again :/

Is there a way of getting the distfiles from a more stable source ?
Comment 5 commit-hook freebsd_committer 2014-12-05 11:22:44 UTC
A commit references this bug:

Author: martymac
Date: Fri Dec  5 11:22:06 UTC 2014
New revision: 374008
URL: https://svnweb.freebsd.org/changeset/ports/374008

Log:
  Fix checksum, remove BROKEN flag and use LOCAL mirror only as gitorious keeps
  rerolling the distfile.

  PR:		195277
  Submitted by:	marino
  Approved by:	buganini@gmail.com (maintainer)

Changes:
  head/games/fgrun/Makefile
  head/games/fgrun/distinfo
Comment 6 Ganael LAPLANCHE freebsd_committer 2014-12-05 11:26:23 UTC
As Gitorious seems to regularly reroll the distfiles, I've switched to using a LOCAL mirror only.

Regards,

Ganael.